@use "../../Scss/Inheritance.scss" as I;
@import "../../Scss/Variables.module.scss";
@import "../../Scss/Functions.scss";

$list_button_hover: hover_color($primary_color);

.app_bar {
  .MuiToolbar-root {
    justify-content: flex-end;
  }
}

.mainSection {
  background-color: $background_color;
  padding-left: 10px;
  padding-right: 10px;
}

.listText {
  color: $text_color;
  font-weight: 500;
  line-height: 22px;
  letter-spacing: 0em;
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
}

.activeMenu {
  color: $secondary_color !important;
  background-color: $primary_color !important;
  .MuiListItemIcon-root {
    color: inherit;
  }
  .MuiSvgIcon-root {
    fill: $secondary_color !important;
    stroke: $secondary_color !important;
  }
  .listText {
    color: $secondary_color !important;
    font-weight: 600 !important;
  }
  &:hover {
    color: $text_color !important;
    background-color: $primary_color !important;
  }
  &:focus-visible {
    background-color: $secondary_color;
  }
}

.activeSubMenu {
  color: $secondary_color !important;
  background-color: $primary_color;
  .listText {
    color: $secondary_color !important;
    font-weight: 600 !important;
  }
  .MuiSvgIcon-root {
    fill: $secondary_color !important;
    stroke: $secondary_color !important;
  }
  .MuiListItemIcon-root {
    color: inherit;
  }
  &:hover {
    color: $text_color !important;
    background-color: $primary_color !important;
  }
  &:focus-visible {
    background-color: $secondary_color;
  }
}

.listButton {
  margin: 3px 16px;
  display: flex;
  min-height: 44px;
  padding: 4px 8px 4px 12px;
  align-items: center;
  border-radius: 8px;
  color: $secondary_color;
  div {
    color: inherit;
  }
  .listButton.Mui-selected .MuiListItemIcon-root {
    /* Styles for selected state */
    color: inherit;
  }
  .listButton.Mui-selected .listText {
    /* Styles for selected state */
    font-weight: 600 !important;
  }
  .listButton.Mui-selected {
    /* Styles for selected state */
    color: inherit !important;
    background-color: rgba(230, 236, 255, 1);
  }
  .MuiSvgIcon-root {
    fill: $text_color;
    stroke: $text_color;
  }
  &:hover {
    background-color: $list_button_hover;
  }
}

.miniListButton {
  border-radius: 8px;
  color: $secondary_color;
  div {
    color: inherit;
  }
  .miniListButton.Mui-selected .MuiListItemIcon-root {
    /* Styles for selected state */
    color: inherit;
  }
  .miniListButton.Mui-selected .listText {
    /* Styles for selected state */
    font-weight: 600 !important;
  }
  .miniListButton.Mui-selected {
    /* Styles for selected state */
    color: inherit !important;
    background-color: rgba(230, 236, 255, 1);
  }
  .MuiSvgIcon-root {
    fill: $text_color;
    stroke: $text_color;
  }
  &:hover {
    background-color: $list_button_hover;
  }
}

.listSubHeader {
  font-size: 12px;
  font-weight: 700;
  letter-spacing: 0em;
  text-align: left;
  padding-left: 35px;
  text-transform: uppercase;
  color: $text_color;
  background-color: $secondary_color;
}

.navigate_icon_button {
  color: $primary_color;
  background-color: $secondary_color;
  &:hover {
    color: $primary_color;
    background-color: $secondary_color;
  }
  &:first-child {
    margin-right: auto;
  }
}

.drawer_header {
  display: flex;
  justify-content: center;
  width: 100%;
  align-items: center;
}

.svg_icon {
  @extend %svg_icon;
  stroke-width: 0;
}

.appbar_icon {
  fill: $secondary_color;
  stroke: $secondary_color;
  &:hover {
    // fill: $primary_color;
    // stroke: $primary_color;
    background: $list_button_hover;
  }
  .MuiSvgIcon-root {
    fill: inherit;
    stroke: inherit;
  }
}
